%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=1)")}

Summary:	Desktop testing framework
Name:		ldtp
Version:	1.3.0
Release:	3%{?dist}
License:	LGPLv2+
Group:		User Interface/X
URL:		http://ldtp.freedesktop.org/wiki/
Source0:	http://download.freedesktop.org/ldtp/1.x/1.3.x/%{name}-%{version}.tar.gz

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	at-spi-python
Requires:	gnome-python2-bonobo
Requires:	gnome-python2-gconf
Requires:	pygtk2-libglade
Requires:	pystatgrab

BuildRequires:	at-spi-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel

%description
Linux Desktop (GUI Application) Testing Project (LDTP) is aimed at producing
high quality test automation framework and cutting-edge tools that can be used
to test Linux Desktop and improve it. It uses the Accessibility libraries to
poke through the application's user interface. The framework also has tools to
record test-cases based on user-selection on the application.

%prep
%setup -q

# Suppress rpmlint error.
sed --in-place --expression '1d' ./python/ldtplib/__init__.py
sed --in-place --expression '1d' ./python/ldtplib/libldtpcodegen.py
sed --in-place --expression '1d' ./python/ldtplib/ldtprecorder.py
sed --in-place --expression '1d' ./python/ldtplib/ldtpcommon.py

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc NEWS
%doc README
%doc TODO
%{_bindir}/%{name}
%{_bindir}/ldtpcodegen
%{_bindir}/ldtpeditor
%{_bindir}/ldtprunner
%{python_sitelib}/ldtputils.py*
%{python_sitelib}/%{name}.py*
%{python_sitelib}/ooldtp.py*

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/appdata
%{_datadir}/%{name}/glade
%{_datadir}/%{name}/icons

%dir %{python_sitelib}/ldtplib
%{python_sitelib}/ldtplib/*.py*

%changelog
* Wed Dec 24 2008 Debarshi Ray <rishi@fedoraproject.org> - 1.3.0-3
- Replaced 'Requires: python-statgrab' with 'Requires: pystatgrab'.

* Fri Oct 31 2008 Debarshi Ray <rishi@fedoraproject.org> - 1.3.0-2
- Addressed errors generated by rpmlint.

* Fri Sep 12 2008 Debarshi Ray <rishi@fedoraproject.org> - 1.3.0-1
- Initial build.
